# Contributing
If you would like to contribute to slune please first familiarize yourself with the package by taking a look at the docs. In particular please read about the class design, the base classes and take a look at the code for the helper functions in the slune module. 

To contribute to the package please either submit a pull request for an open issue or open a new issue. If you are unsure about whether to open a new issue or in general have any problems please open a discussion in the discussions tab.

Checklist for contributing:
- [ ] Make sure that your code is well documented and that the documentation is clear and concise, use google style docstrings.
- [ ] Make sure that your code is well tested and that the tests are clear and concise, want to keep coverage as high as possible! (minimum 90%) and keep tests as simple as possible!
- [ ] Make sure that you only solve the issue that you are attempting to close, if you find other issues please open a new issue for them.
